import { inject, onMounted, onUnmounted, watch, type Ref } from 'vue';
import { trueTableMountedKey } from '@kt/unity-table-layout';

export const useNoticeSelfStatus = () => {
  const trueTableMounted = inject<Ref<boolean>>(trueTableMountedKey);
  if (!trueTableMounted) return;
  onMounted(() => {
    trueTableMounted.value = true;
  });
  onUnmounted(() => {
    trueTableMounted.value = false;
  });
};
